.mainbanner-block {
    background-color: var(--green-light);
}
.mainbanner-block .swiper-wrapper {
    align-items: stretch;
}
.mainbanner-block .swiper-wrapper .swiper-slide {
    height: auto;
}
.mainbanner {
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
.mainbanner .mainbanner-info {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 42px;
    padding: 112px 0px 146px;
    z-index: 1;
}
.mainbanner .mainbanner-info h1 {
    font-size: var(--h1-big-size);
    font-weight: 400;
    text-transform: uppercase;
    color: var(--text-black-color);
    line-height: 100%;
    max-width: 520px;
}
.mainbanner .mainbanner-img-mob {
    display: none;
}
@media screen and (min-width: 992px) {
    .mainbanner .mainbanner-img {
        position: relative;
        bottom: 0;
        right: 0;
    }
}
.mainbanner .mainbanner-img {
    width: fit-content;
    height: auto;
    line-height: 0;
}
.mainbanner img.mainbanner-img,
.mainbanner .mainbanner-img img {
    width: 100%;
    height: auto;
    object-fit: cover;
}
.mainbanner-block .wrapper {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 140px;
    color: white;
    z-index: 10;
}
.mainbanner-block .wrapper .slide-info {
    width: 100%;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    gap: 42px;
}
.mainbanner-block .wrapper .slide-info .title {
    font-family: 'DM Sans', sans-serif;
    font-size: var(--h1-big-size);
    text-transform: uppercase;
    font-weight: 300;
    line-height: 100%;
}
.mainbanner-block .wrapper .slide-info .desc {
    font-family: 'DM Sans', sans-serif;
    font-size: var(--small-text);
    font-weight: 400;
    line-height: 120%;
}
.mainbanner-block .wrapper .slide-info .text {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.mainbanner-block .wrapper .slide-info a {
    background-color: white;
    display: flex;
    padding: 14px 40px;
    color: var(--black);
    width: fit-content;
    border-radius: 8px;
    transition: .3s ease-in-out;
}
.mainbanner-block .wrapper .slide-info a:hover {
    background-color: var(--beige-light);
}
@media screen and (max-width: 991px) {
    .mainbanner {
        flex-direction: column;
    }
    .mainbanner .mainbanner-info {
        padding: 62px 0px 5px;
    }
    .mainbanner .mainbanner-img {
        margin: 0 auto;
    }
    .mainbanner-block .swiper-wrapper .swiper-slide {
        height: 520px;
    }

    .mainbanner img.mainbanner-img, .mainbanner .mainbanner-img img {
        height: 100%;
        object-position: center right;
    }
    .mainbanner-block .wrapper {
        bottom: unset;
        top: 100px;
    }
}
@media screen and (max-width: 768px) {
    .mainbanner .mainbanner-img {
        display: none;
    }
    .mainbanner .mainbanner-img-mob {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: right;
    }
}
@media screen and (max-width: 582px) {
    .mainbanner .mainbanner-info {
        padding: 32px 0px 22px;
    }
    .mainbanner .mainbanner-info a {
        width: 100%;
    }
    .mainbanner-block .wrapper {
        height: calc(100% - 240px);
    }
    .mainbanner-block .wrapper .slide-info {
        height: 100%;
    }
    .mainbanner-block .wrapper .slide-info a {
        margin-top: auto;
    }
}